# Creating a new Insights Access Group Membership

Adds a user to an Insights Access Group. Only Account Administrators can add users to Insights Access Groups.


This endpoint returns structured Insights Access Group Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the insights_access_group_memberships top-level JSON key.
Please see our Response Format section for more information.

Endpoint: POST /insights_access_group_memberships
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- user (User) - References the associated user.

  - `optional_fields` (array)
    Allows you to request one or more optional fields as an array.
    Enum: "user_name", "account_permission"

## Request fields (application/json):

  - `insights_access_group_membership` (object)

  - `insights_access_group_membership.user_id` (integer, required)
    The ID of the user to add to the Insights Access Group.

  - `insights_access_group_membership.insights_access_group_id` (integer, required)
    The ID of the Insights Access Group to add the user to.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `insights_access_group_memberships` (object)

  - `users` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


